### Virtual Method

# Gck Module authenticate_slot

#### Declaration [src]

    gboolean
    authenticate_slot (
      GckModule* self,
      GckSlot* slot,
      gchar* label,
      gchar** password
    )

#### Description

No description available.

#### Parameters

`slot` | `GckSlot`
| No description available.
| The data is owned by the caller of the function.
`label` | `gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`password` | `gchar**`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| No description available.